Package: hotkey-setup
Version: 0.1-17
Followup-For: Bug #437360
I do not underrstand why this is marked as moreinfo.
This startup sctipt, or even worse, remove script exit with fail if it
could not start ot stop successfully.
I do not know how exactly the hardware problem exist with my hardware and
this program but I should be given right to remove package without
resorting to altering pre.rm and post.rm script.
For this kind of program, if it could not be started properly, it should
merely warn user but not to cause zombee install condition.
So all your {post,pre}.{inst,rm} scripts should use
invoke-rc.d hotkey-setup something || { echo "Some message" >&2 ; exit 0 }
instead of
invoke-rc.d hotkey-setup something || exit $?
Otherwise, I can not remove or install package if this program fails to
start or removed. This program invocation error is different from the
error of installing package to the system due to file name collision
etc. You never know if this daemon starts successfully or not. This
may be configuration issue. If so at least let me install it with
non-started daemon.
-- System Information:
Debian Release: lenny/sid
APT prefers unstable
APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)
Kernel: Linux 2.6.22-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
Versions of packages hotkey-setup depends on:
ii dmidecode 2.9-1 Dump Desktop Management Interface
hotkey-setup recommends no packages.
-- no debconf information
--
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of "unsubscribe". Trouble? Contact [EMAIL PROTECTED]